Upgrading parcel to version 2

Does anyone have experience upgrading to this? after upgrading I get ReferenceError: window is not defined when running

1 Like

We’re not using 2.0 just yet :wink:
They seem to have fixed a similar issue back in 2018

But with parcel 2 the issue may have come back in parcel’s hot module reload runtime

Do you get a stack trace with this error?

The maintainer seems pretty responsive… Good luck!

Thanks. I eventually reverted to parcel 1.

1 Like